/**
 * @(#)ZKeyMap.java
 *
 * Copyright 2000 by Intelligent Technology Inc. All rights reserved.
 *
 * エディタキーマップ
 */
package jp.co.iti.fagot.util;

import javax.swing.Action;
import javax.swing.KeyStroke;
/**
 * ZKeyMapクラスはキーとアクションのマッピングクラスです。
 * @author  千曳秀喜
 * @version 1.01 2000/10/12
 */
public class ZKeyMap {
	/**
	 * コンストラクタ
	 * @param key    キーストローク
	 * @param action アクション
	 */
	public ZKeyMap( KeyStroke key, Action action ) {
	mKey = key ;
	mAct = action ;
	}

	/**
	 * ストロークを返却します。
	 */
	public KeyStroke getKeyStroke() {
	return(mKey);
	}

	/**
	 * アクション名を返却します。
	 */
	public Action getAction() {
	return ( mAct ) ;
	}
	//## アトリビュート ###############################################
	/**
	 * キーストローク
	 */
	protected KeyStroke mKey ;

	/**
	 * アクション
	 */
	protected Action    mAct ;
}
